# GameModeUpdateEvent (api 1.1 API)
declaration: package: dev.plex.api.event, class: GameModeUpdateEvent

Package dev.plex.api.event

# Class GameModeUpdateEvent

java.lang.Object
org.bukkit.event.Event
dev.plex.api.event.GameModeUpdateEvent

public class GameModeUpdateEvent extends org.bukkit.event.Event

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`GameModeUpdateEvent()`

## Method Summary

Modifier and Type
Method
Description
`static org.bukkit.event.HandlerList`
`getHandlerList()`
`@NotNull org.bukkit.event.HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GameModeUpdateEvent

public GameModeUpdateEvent()

## Method Details

### getHandlerList

public static org.bukkit.event.HandlerList getHandlerList()

### getHandlers

@NotNull public @NotNull org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`